### Virtual Method

# Ide ApplicationAddin open

#### Declaration

    void
    open (
      IdeApplicationAddin* self,
      IdeApplication* application,
      GFile** files,
      gint n_files,
      const gchar* hint
    )

#### Description

This function is activated when the `GApplication::open` signal is emitted.

Available since: | 3.32

#### Parameters

`application` | `IdeApplication`
| An #ideApplication.
| The data is owned by the caller of the function.
`files` | An array of `None`
| An array of `GFiles`.
| The length of the array is specified in the `n_files` argument.
| The data is owned by the caller of the function.
`n_files` | `gint`
| The length of `files`.
`hint` | `const gchar*`
| A hint provided by the calling instance.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.